## debian-builder 1.3

=== Makefile ===

#
#  Only used to build distribution tarballs.
#
DIST_PREFIX = /tmp
VERSION     = 1.3
BASE        = debian-builder


PREFIX = /


clean:
	find . -name '*~' -exec rm \{\} \;

install:
	-mkdir -p $(PREFIX)var/cache/debian-builder
	-mkdir -p $(PREFIX)var/cache/debian-builder/tmp
	-mkdir -p $(PREFIX)var/cache/debian-builder/log
	-mkdir -p $(PREFIX)var/cache/debian-builder/deb
	-mkdir -p $(PREFIX)etc/debian-builder/
	chmod -R 775 /var/cache/debian-builder
	cp bin/debian-builder $(PREFIX)usr/bin
	cp etc/debian-builder.conf $(PREFIX)etc/debian-builder
	cp doc/debian-builder.1 $(PREFIX)usr/share/man/man1
	gzip $(PREFIX)usr/share/man/man1/debian-builder.1

uninstall:
	-rm -rf /var/cache/debian-builder/tmp
	-rm -rf /var/cache/debian-builder/deb
	-rm -rf /var/cache/debian-builder/log
	-rmdir /var/cache/debian-builder/
	-rm /usr/bin/debian-builder
	-rm /etc/debian-builder/debian-builder.conf
	-rm /usr/share/man/man1/debian-builder.1.gz

dist:   clean
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.bz2
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name "CVS" -print | xargs rm -rf
	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".cvsignore" -exec rm -f \{\} \;
	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz ..
	cd $(DIST_PREFIX) && tar -cvf $(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
	bzip2 $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.bz2 ..
	cd $(DIST_PREFIX) && zip -r $(BASE)-$(VERSION).zip $(BASE)-$(VERSION)/
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).zip ..
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)

## debian-builder 1.6

=== debian/changelog ===
debian-builder (1.6) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #390216

 -- Michael Ablassmeier <abi@debian.org>  Sun, 15 Oct 2006 12:38:42 +0200

debian-builder (1.5) unstable; urgency=low

  * New upstream release, fixes all the brokenness and last minute fixes
    made to the broken Dependency handling.

 -- Steve Kemp <skx@debian.org>  Sun,  4 Jun 2006 19:27:30 +0000

debian-builder (1.4-3) unstable; urgency=high

  * Stupid-head-release:  Actually include the changes in the previous entry.

 -- Steve Kemp <skx@debian.org>  Sat,  3 Jun 2006 17:26:32 +0000

debian-builder (1.4-2) unstable; urgency=high

  * BUGFIX:  Fixed broken dependency handling.

 -- Steve Kemp <skx@debian.org>  Sat,  3 Jun 2006 17:19:48 +0000

debian-builder (1.4-1) unstable; urgency=high

  * BUGFIX:  Handling "or" dependencies properly.  (By ignoring them ;)

 -- Steve Kemp <skx@debian.org>  Sat,  3 Jun 2006 15:54:32 +0000

debian-builder (1.4-0) unstable; urgency=high

  * New upstream release.
  * BUGFIX:  Package dependency installation works correctly.

 -- Steve Kemp <skx@debian.org>  Fri,  2 Jun 2006 17:33:12 +0000

debian-builder (1.3-9) unstable; urgency=low

  * Updated the handling of build-dependencies so they are detected via
    the use of 'dpkg-checkbuilddeps' which is much more reliable.
  * Added dependency on dpkg-dev.

 -- Steve Kemp <skx@debian.org>  Fri,  2 Jun 2006 16:44:22 +0000

debian-builder (1.3-8) unstable; urgency=low

  * Updated standards version to 3.7.2
  * Don't remove any present .dsc + .diff.gz unless the apt-get command
    succeeds.  (Closes: #314638)

 -- Steve Kemp <skx@debian.org>  Tue,  30 May 2006 23:19:23 +0000

debian-builder (1.3-7) unstable; urgency=low

  * Really fix the spelling.  D'oh.

 -- Steve Kemp <skx@debian.org>  Mon,  16 January 2006 10:07:12  +0000

debian-builder (1.3-6) unstable; urgency=low

  * Corrected the spelling of 'athilon-bulder' in the package description.
    (Closes: #348089)
  * Updated standards version to 3.6.2
  * Updated debhelper compatability to level 4.

 -- Steve Kemp <skx@debian.org>  Mon,  16 January 2006 10:04:21  +0000

debian-builder (1.3-5) unstable; urgency=high

  * Removed the Suggests: wrap-gcc, this isn't available in the
    Debian archive and makes the package uninstallable for some users.
    (Closes: #272830)  urgency set to high as this is a serious bug.

 -- Steve Kemp <skx@debian.org>  Wed,  22 September 2004 13:40:28  +0000

debian-builder (1.3-4) unstable; urgency=medium

  * Artificial upload to fix broken version number.

 -- Steve Kemp <skx@debian.org>  Fri,  27 August 2004 10:08:17  +0000

debian-builder (1.3-3) unstable; urgency=medium

  * Do not try to sign the .deb and .changes files which have been
    built by default.
    (Closes: #268270)
  * Introduce a new command line flag --sign to force package signing.
  * Introduce a new command line flag '--debuild' to pass options through
    to the debuild process.

 -- Steve Kemp <skx@debian.org>  Fri,  27 August 2004 08:59:32  +0000

debian-builder (1.3-2) unstable; urgency=medium

  * Fixed FTBFS bug; trying to access a directory outside the build tree.
    (Closes: #261050)
  * Updated description to explain purpose more clearly.
    (Closes: #260507)

 -- Steve Kemp <skx@debian.org>  Fri,  23 July 2004 17:34:03  +0000

debian-builder (1.3-1) unstable; urgency=low

  * Changed maintainer address to my @debian.org email.
  * Changed section to admin.
  * Uploaded to the Debian archive.
    (Closes: #257167)
  * Added `debian-builder-recursive` to scripts directory to rebuild
    a package recursively.

 -- Steve Kemp <skx@debian.org>  Sun,  4 July 2004 15:06:19  +0000

debian-builder (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Steve Kemp <steve@steve.org.uk>  Thu,  24 Jun 2004 22:13:10 +0000

debian-builder (1.1-1) unstable; urgency=low

  * Initial release

 -- Steve Kemp <steve@steve.org.uk>  Thu,  24 Jun 2004 9:21:42 +0000

=== debian/control ===
Source: debian-builder
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper

Package: debian-builder
Architecture: all
Depends: ${shlibs:Depends}, perl, perl-modules, build-essential, devscripts, dpkg-dev
Description: Rebuild Debian packages from source code
 This is a simple tool which is designed to allow a local
 administrator to rebuild individual Debian packages from
 their source code.
 .
 With the aid of a few included wrapper scripts this allows
 automatically rebuilding a package and all its dependencies.
 .
 Note: This software is not designed to enhance your installation
 by producing optimized binaries, however this may be achieved 
 with the aid of companion packages such as 'pentium-builder',
 or 'athlon-builder'.
 .
 The prime purpose of this package is to ease the testing of 
 compiler patches such as the Stack Smashing Protection patch
 available from IBM.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make install PREFIX=`pwd`/debian/debian-builder/

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs README TODO doc/DESIGN doc/MASS-REBUILD
	dh_installexamples scripts/getBasePackages scripts/getRequired scripts/debian-builder-recursive
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debian-builder 1.8

=== Makefile ===

#
#  Only used to build distribution tarballs.
#
DIST_PREFIX = /tmp
VERSION     = 1.5
BASE        = debian-builder


PREFIX = /


clean:
	find . -name '*~' -exec rm \{\} \;
	find . -name 'install-stamp' -exec rm \{\} \;
	find . -name 'build-stamp' -exec rm \{\} \;
	find . -name 'debian-builder.1' -exec rm \{\} \;

install: manpage
	-mkdir -p $(PREFIX)var/cache/debian-builder
	-mkdir -p $(PREFIX)var/cache/debian-builder/tmp
	-mkdir -p $(PREFIX)var/cache/debian-builder/log
	-mkdir -p $(PREFIX)var/cache/debian-builder/deb
	-mkdir -p $(PREFIX)etc/debian-builder/
	-mkdir -p $(PREFIX)usr/bin
	-mkdir -p $(PREFIX)usr/share/man/man1
	chmod -R 775 $(PREFIX)var/cache/debian-builder
	cp bin/debian-builder $(PREFIX)usr/bin
	cp etc/debian-builder.conf $(PREFIX)etc/debian-builder
	cp doc/debian-builder.1 $(PREFIX)usr/share/man/man1
	gzip -9 $(PREFIX)usr/share/man/man1/debian-builder.1

uninstall:
	-rm -rf /var/cache/debian-builder/tmp
	-rm -rf /var/cache/debian-builder/deb
	-rm -rf /var/cache/debian-builder/log
	-rmdir /var/cache/debian-builder/
	-rm /usr/bin/debian-builder
	-rm /etc/debian-builder/debian-builder.conf
	-rm /usr/share/man/man1/debian-builder.1.gz

test:
	prove --shuffle tests/

test-verbose:
	prove --shuffle --verbose tests/

manpage:
	pod2man bin/debian-builder > doc/debian-builder.1

release:   clean manpage
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name "CVS" -print | xargs rm -rf
	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".cvsignore" -exec rm -f \{\} \;
	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar --exclude=debian/* $(BASE)-$(VERSION)/
	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz

=== tests/Makefile ===

all:
	@cd ..; perl -MTest::Harness -e '$$Test::Harness::verbose=0; runtests @ARGV;' tests/*.t

verbose:
	@cd ..; perl -MTest::Harness -e '$$Test::Harness::verbose=1; runtests @ARGV;' tests/*.t


modules: .PHONY
	./modules.sh > modules.t

.PHONY:
	true

clean:

	rm *~

=== debian/changelog ===
debian-builder (1.8) unstable; urgency=low

  * Include patch from Dmitry Petukhov <dmgenp@gmail.com> (Closes: 457027)
  * debian/control
         - Bumped Standerds-Version to 3.7.3
  * debian/rule
         - Change rule file for build-indep

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Thu, 13 Mar 2008 20:29:33 +0530

debian-builder (1.7) unstable; urgency=low

  * New maintainer (Closes: #390216)

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Wed, 18 Jul 2007 23:31:53 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: debian-builder
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.7.2
-Build-Depends: debhelper
+Maintainer: Deepak Tripathi <apenguinlinux@gmail.com>
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 5)
 
 Package: debian-builder
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_testroot
 	rm -f build-stamp install-stamp
 
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 
@@ -31,12 +31,12 @@
 
 	touch install-stamp
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installdirs
@@ -52,6 +52,8 @@
 	dh_md5sums
 	dh_builddeb
 
+
+
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## debian-builder 1.8.0

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = /tmp
-VERSION     = 1.5
+VERSION     = 1.8
 BASE        = debian-builder
 
 
-PREFIX = /
+PREFIX ?= /usr/local/
 
 
 clean:
@@ -17,18 +17,17 @@
 	find . -name 'debian-builder.1' -exec rm \{\} \;
 
 install: manpage
-	-mkdir -p $(PREFIX)var/cache/debian-builder
-	-mkdir -p $(PREFIX)var/cache/debian-builder/tmp
-	-mkdir -p $(PREFIX)var/cache/debian-builder/log
-	-mkdir -p $(PREFIX)var/cache/debian-builder/deb
-	-mkdir -p $(PREFIX)etc/debian-builder/
-	-mkdir -p $(PREFIX)usr/bin
-	-mkdir -p $(PREFIX)usr/share/man/man1
-	chmod -R 775 $(PREFIX)var/cache/debian-builder
-	cp bin/debian-builder $(PREFIX)usr/bin
-	cp etc/debian-builder.conf $(PREFIX)etc/debian-builder
-	cp doc/debian-builder.1 $(PREFIX)usr/share/man/man1
-	gzip -9 $(PREFIX)usr/share/man/man1/debian-builder.1
+	-mkdir -p $(DESTDIR)/var/cache/debian-builder
+	-mkdir -p $(DESTDIR)/var/cache/debian-builder/tmp
+	-mkdir -p $(DESTDIR)/var/cache/debian-builder/log
+	-mkdir -p $(DESTDIR)/var/cache/debian-builder/deb
+	-mkdir -p $(DESTDIR)/etc/debian-builder/
+	-mkdir -p $(DESTDIR)$(PREFIX)/bin
+	-mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
+	chmod -R 775 $(DESTDIR)/var/cache/debian-builder
+	cp bin/debian-builder $(DESTDIR)$(PREFIX)/bin
+	cp etc/debian-builder.conf $(DESTDIR)/etc/debian-builder
+	cp doc/debian-builder.1 $(DESTDIR)$(PREFIX)/share/man/man1
 
 uninstall:
 	-rm -rf /var/cache/debian-builder/tmp
@@ -59,5 +58,3 @@
 	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz
-
-

=== debian/changelog ===
debian-builder (1.8.0) unstable; urgency=medium

  * QA upload.
  * Take over package maintenance and orphan the package via ITS process.
    (Closes: #962738)
  * Makefile: Fix broken usage of $(DESTDIR) and $(PREFIX).
  * debian/: Refresh packaging scripts:
    + Use "3.0 (native)" source format.
    + Bump debhelper compat to v13.
    + Use dh sequencer.
    + Update info in debian/copyright file.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Jul 2020 09:13:28 -0400

=== debian/control ===
Source: debian-builder
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 13),

Package: debian-builder
Architecture: all
Depends:
 build-essential,
 devscripts,
 dpkg-dev,
 perl,
 ${misc:Depends},
Description: Rebuild Debian packages from source code
 This is a simple tool which is designed to allow a local
 administrator to rebuild individual Debian packages from
 their source code.
 .
 With the aid of a few included wrapper scripts this allows
 automatically rebuilding a package and all its dependencies.
 .
 Note: This software is not designed to enhance your installation
 by producing optimized binaries, however this may be achieved
 with the aid of companion packages such as 'pentium-builder',
 or 'athlon-builder'.
 .
 The prime purpose of this package is to ease the testing of
 compiler patches such as the Stack Smashing Protection patch
 available from IBM.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr/
